## com.imcode.imcms.servlet.superadmin
Class LinkCheck.LinkCheckPage

    java.lang.Object
      com.imcode.imcms.servlet.superadmin.LinkCheck.LinkCheckPage

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  LinkCheck

    public static class LinkCheck.LinkCheckPage

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`static java.lang.String` `REQUEST_ATTRIBUTE__PAGE`

Constructor Summary
`LinkCheck.LinkCheckPage()`

Method Summary
`void` `forward(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, UserDomainObject user)`
`int` `getEndId()`
`java.util.Iterator` `getLinksIterator()`
`int` `getStartId()`
`boolean` `isBrokenOnly()`
`boolean` `isDoCheckLinks()`
`void` `putInRequest(javax.servlet.http.HttpServletRequest request)`
`void` `setBrokenOnly(boolean brokenOnly)`
`void` `setDoCheckLinks(boolean doCheckLinks)`
`void` `setEndId(int endId)`
`void` `setLinksIterator(java.util.Iterator linksIterator)`
`void` `setStartId(int startId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REQUEST_ATTRIBUTE__PAGE

    public static final java.lang.String REQUEST_ATTRIBUTE__PAGE

See Also:
  Constant Field Values

Constructor Detail

### LinkCheck.LinkCheckPage

    public LinkCheck.LinkCheckPage()

Method Detail

### forward

    public void forward(javax.servlet.http.HttpServletRequest request,
                        javax.servlet.http.HttpServletResponse response,
                        UserDomainObject user)
                 throws java.io.IOException,
                        javax.servlet.ServletException

  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### putInRequest

    public void putInRequest(javax.servlet.http.HttpServletRequest request)

### isDoCheckLinks

    public boolean isDoCheckLinks()

### setDoCheckLinks

    public void setDoCheckLinks(boolean doCheckLinks)

### isBrokenOnly

    public boolean isBrokenOnly()

### setBrokenOnly

    public void setBrokenOnly(boolean brokenOnly)

### setLinksIterator

    public void setLinksIterator(java.util.Iterator linksIterator)

### getLinksIterator

    public java.util.Iterator getLinksIterator()

### getStartId

    public int getStartId()

### getEndId

    public int getEndId()

### setStartId

    public void setStartId(int startId)

### setEndId

    public void setEndId(int endId)